Skip to main content

Typeform full reference

This is the full reference documentation for the Typeform agent connector.

Supported entities and actions

The Typeform connector supports the following entities and actions.

EntityActions
FormsList, Get, Search
ResponsesList, Search
WebhooksList, Search
WorkspacesList, Search
ImagesList, Search
ThemesList, Search

Forms

Forms List

Returns a paginated list of forms in the account

Python SDK

await typeform.forms.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "forms",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number to retrieve
page_sizeintegerNoNumber of forms per page
Response Schema

Records

Field NameTypeDescription
idnull | string
typenull | string
titlenull | string
created_atnull | string
last_updated_atnull | string
published_atnull | string
workspacenull | object
themenull | object
settingsnull | object
welcome_screensnull | array
thankyou_screensnull | array
logicnull | array
fieldsnull | array
selfnull | object
_linksnull | object

Meta

Field NameTypeDescription
total_itemsnull | integer
page_countnull | integer

Forms Get

Retrieves a single form by its ID, including fields, settings, and logic

Python SDK

await typeform.forms.get(
form_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "forms",
"action": "get",
"params": {
"form_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
form_idstringYesUnique ID of the form
Response Schema

Records

Field NameTypeDescription
idnull | string
typenull | string
titlenull | string
created_atnull | string
last_updated_atnull | string
published_atnull | string
workspacenull | object
themenull | object
settingsnull | object
welcome_screensnull | array
thankyou_screensnull | array
logicnull | array
fieldsnull | array
selfnull | object
_linksnull | object

Search and filter forms records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.forms.search(
query={"filter": {"eq": {"_links": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "forms",
"action": "search",
"params": {
"query": {"filter": {"eq": {"_links": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
_linksobjectLinks to related resources
created_atstringDate and time when the form was created
fieldsarrayList of fields within the form
idstringUnique identifier of the form
last_updated_atstringDate and time when the form was last updated
logicarrayLogic rules or conditions applied to the form fields
published_atstringDate and time when the form was published
settingsobjectSettings and configurations for the form
thankyou_screensarrayThank you screen configurations
themeobjectTheme settings for the form
titlestringTitle of the form
typestringType of the form
welcome_screensarrayWelcome screen configurations
workspaceobjectWorkspace details where the form belongs
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[]._linksobjectLinks to related resources
data[].created_atstringDate and time when the form was created
data[].fieldsarrayList of fields within the form
data[].idstringUnique identifier of the form
data[].last_updated_atstringDate and time when the form was last updated
data[].logicarrayLogic rules or conditions applied to the form fields
data[].published_atstringDate and time when the form was published
data[].settingsobjectSettings and configurations for the form
data[].thankyou_screensarrayThank you screen configurations
data[].themeobjectTheme settings for the form
data[].titlestringTitle of the form
data[].typestringType of the form
data[].welcome_screensarrayWelcome screen configurations
data[].workspaceobjectWorkspace details where the form belongs

Responses

Responses List

Returns a paginated list of responses for a given form

Python SDK

await typeform.responses.list(
form_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "responses",
"action": "list",
"params": {
"form_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
form_idstringYesUnique ID of the form
page_sizeintegerNoNumber of responses per page
sincestringNoLimit responses to those submitted since the specified date/time (ISO 8601 format, e.g. 2021-03-01T00:00:00Z)
untilstringNoLimit responses to those submitted until the specified date/time (ISO 8601 format)
afterstringNoCursor token for pagination; returns responses after this token
beforestringNoCursor token for pagination; returns responses before this token
sortstringNoSort order for responses, e.g. submitted_at,asc
completedbooleanNoFilter by completed status (true or false)
querystringNoSearch query to filter responses
Response Schema

Records

Field NameTypeDescription
response_idnull | string
response_typenull | string
landed_atnull | string
landing_idnull | string
submitted_atnull | string
tokennull | string
form_idnull | string
metadatanull | object
variablesnull | array
hiddennull | object
calculatednull | object
answersnull | array

Meta

Field NameTypeDescription
total_itemsnull | integer
page_countnull | integer

Search and filter responses records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.responses.search(
query={"filter": {"eq": {"answers": []}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "responses",
"action": "search",
"params": {
"query": {"filter": {"eq": {"answers": []}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
answersarrayResponse data for each question in the form
calculatedobjectCalculated data related to the response
form_idstringID of the form
hiddenobjectHidden fields in the response
landed_atstringTimestamp when the respondent landed on the form
landing_idstringID of the landing page
metadataobjectMetadata related to the response
response_idstringID of the response
response_typestringType of the response
submitted_atstringTimestamp when the response was submitted
tokenstringToken associated with the response
variablesarrayVariables associated with the response
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].answersarrayResponse data for each question in the form
data[].calculatedobjectCalculated data related to the response
data[].form_idstringID of the form
data[].hiddenobjectHidden fields in the response
data[].landed_atstringTimestamp when the respondent landed on the form
data[].landing_idstringID of the landing page
data[].metadataobjectMetadata related to the response
data[].response_idstringID of the response
data[].response_typestringType of the response
data[].submitted_atstringTimestamp when the response was submitted
data[].tokenstringToken associated with the response
data[].variablesarrayVariables associated with the response

Webhooks

Webhooks List

Returns webhooks configured for a given form

Python SDK

await typeform.webhooks.list(
form_id="<str>"
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "webhooks",
"action": "list",
"params": {
"form_id": "<str>"
}
}'

Parameters

Parameter NameTypeRequiredDescription
form_idstringYesUnique ID of the form
Response Schema

Records

Field NameTypeDescription
idnull | string
form_idnull | string
tagnull | string
urlnull | string
enablednull | boolean
verify_sslnull | boolean
created_atnull | string
updated_atnull | string

Search and filter webhooks records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.webhooks.search(
query={"filter": {"eq": {"created_at": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "webhooks",
"action": "search",
"params": {
"query": {"filter": {"eq": {"created_at": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
created_atstringTimestamp when the webhook was created
enabledbooleanWhether the webhook is currently enabled
form_idstringID of the form associated with the webhook
idstringUnique identifier of the webhook
tagstringTag to categorize or label the webhook
updated_atstringTimestamp when the webhook was last updated
urlstringURL where webhook data is sent
verify_sslbooleanWhether SSL verification is enforced
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].created_atstringTimestamp when the webhook was created
data[].enabledbooleanWhether the webhook is currently enabled
data[].form_idstringID of the form associated with the webhook
data[].idstringUnique identifier of the webhook
data[].tagstringTag to categorize or label the webhook
data[].updated_atstringTimestamp when the webhook was last updated
data[].urlstringURL where webhook data is sent
data[].verify_sslbooleanWhether SSL verification is enforced

Workspaces

Workspaces List

Returns a paginated list of workspaces in the account

Python SDK

await typeform.workspaces.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "workspaces",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number to retrieve
page_sizeintegerNoNumber of workspaces per page
Response Schema

Records

Field NameTypeDescription
idnull | string
namenull | string
account_idnull | string
defaultnull | boolean
sharednull | boolean
formsnull | object
selfnull | object

Meta

Field NameTypeDescription
total_itemsnull | integer
page_countnull | integer

Search and filter workspaces records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.workspaces.search(
query={"filter": {"eq": {"account_id": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "workspaces",
"action": "search",
"params": {
"query": {"filter": {"eq": {"account_id": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
account_idstringAccount ID associated with the workspace
defaultbooleanWhether this is the default workspace
formsobjectInformation about forms in the workspace
idstringUnique identifier of the workspace
namestringName of the workspace
selfobjectSelf-referential link
sharedbooleanWhether this workspace is shared
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].account_idstringAccount ID associated with the workspace
data[].defaultbooleanWhether this is the default workspace
data[].formsobjectInformation about forms in the workspace
data[].idstringUnique identifier of the workspace
data[].namestringName of the workspace
data[].selfobjectSelf-referential link
data[].sharedbooleanWhether this workspace is shared

Images

Images List

Returns a list of images in the account

Python SDK

await typeform.images.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "images",
"action": "list"
}'
Response Schema

Records

Field NameTypeDescription
idnull | string
file_namenull | string
srcnull | string
widthnull | integer
heightnull | integer
media_typenull | string
avg_colornull | string
has_alphanull | boolean
upload_sourcenull | string

Search and filter images records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.images.search(
query={"filter": {"eq": {"avg_color": "<str>"}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "images",
"action": "search",
"params": {
"query": {"filter": {"eq": {"avg_color": "<str>"}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
avg_colorstringAverage color of the image
file_namestringName of the image file
has_alphabooleanWhether the image has an alpha channel
heightintegerHeight of the image in pixels
idstringUnique identifier of the image
media_typestringMIME type of the image
srcstringURL to access the image
widthintegerWidth of the image in pixels
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].avg_colorstringAverage color of the image
data[].file_namestringName of the image file
data[].has_alphabooleanWhether the image has an alpha channel
data[].heightintegerHeight of the image in pixels
data[].idstringUnique identifier of the image
data[].media_typestringMIME type of the image
data[].srcstringURL to access the image
data[].widthintegerWidth of the image in pixels

Themes

Themes List

Returns a paginated list of themes in the account

Python SDK

await typeform.themes.list()

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "themes",
"action": "list"
}'

Parameters

Parameter NameTypeRequiredDescription
pageintegerNoPage number to retrieve
page_sizeintegerNoNumber of themes per page
Response Schema

Records

Field NameTypeDescription
idnull | string
namenull | string
visibilitynull | string
fontnull | string
has_transparent_buttonnull | boolean
rounded_cornersnull | string
colorsnull | object
backgroundnull | object
fieldsnull | object
screensnull | object
created_atnull | string
updated_atnull | string

Meta

Field NameTypeDescription
total_itemsnull | integer
page_countnull | integer

Search and filter themes records powered by Airbyte's data sync. This often provides additional fields and operators beyond what the API natively supports, making it easier to narrow down results before performing further operations. Only available in hosted mode.

Python SDK

await typeform.themes.search(
query={"filter": {"eq": {"background": {}}}}
)

API

curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
"entity": "themes",
"action": "search",
"params": {
"query": {"filter": {"eq": {"background": {}}}}
}
}'

Parameters

Parameter NameTypeRequiredDescription
queryobjectYesFilter and sort conditions. Supports operators: eq, neq, gt, gte, lt, lte, in, like, fuzzy, keyword, not, and, or
query.filterobjectNoFilter conditions
query.sortarrayNoSort conditions
limitintegerNoMaximum results to return (default 1000)
cursorstringNoPagination cursor from previous response's meta.cursor
fieldsarrayNoField paths to include in results

Searchable Fields

Field NameTypeDescription
backgroundobjectBackground settings for the theme
colorsobjectColor settings
created_atstringTimestamp when the theme was created
fieldsobjectField display settings
fontstringFont used in the theme
has_transparent_buttonbooleanWhether the theme has a transparent button
idstringUnique identifier of the theme
namestringName of the theme
rounded_cornersstringRounded corners setting
screensobjectScreen display settings
updated_atstringTimestamp when the theme was last updated
visibilitystringVisibility setting of the theme
Response Schema
Field NameTypeDescription
dataarrayList of matching records
metaobjectPagination metadata
meta.has_morebooleanWhether additional pages are available
meta.cursorstring | nullCursor for next page of results
meta.took_msnumber | nullQuery execution time in milliseconds
data[].backgroundobjectBackground settings for the theme
data[].colorsobjectColor settings
data[].created_atstringTimestamp when the theme was created
data[].fieldsobjectField display settings
data[].fontstringFont used in the theme
data[].has_transparent_buttonbooleanWhether the theme has a transparent button
data[].idstringUnique identifier of the theme
data[].namestringName of the theme
data[].rounded_cornersstringRounded corners setting
data[].screensobjectScreen display settings
data[].updated_atstringTimestamp when the theme was last updated
data[].visibilitystringVisibility setting of the theme